> For the complete documentation index, see [llms.txt](https://docs.nosto.com/shopify/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/shopify/features/outdated-asset-api-approach/implementing-enhanced-conversion-tracking.md).

# Implementing enhanced conversion tracking

Nosto tracks all conversions via Shopify's APIs and Webhooks. Unlike implementations on other e-commerce platforms, Nosto for Shopify doesn't require the placement of any conversion tracking scripts. However, if you are using a custom checkout gateway, the conversion tracking might not work as expected. We suggest that you liaise with our support personnel prior to proceeding with this.

In order to add the conversion tracking snippet, we recommend reading up on Shopify's guide to [adding conversion tracking to your thank you page.](https://help.shopify.com/manual/orders/status-tracking/add-conversion-tracking-to-thank-you-page)

In the conversion tracking box, simply paste the following snippet.

```
<script type="text/javascript" src="//connect.nosto.com/script/shopify/nosto.js?merchant=shopify-xxxxxxxx" async></script>
<div class="nosto_page_type" style="display:none">order</div>
<div class="nosto_purchase_order" style="display:none">
  <span class="order_number">{{ order_id }}</span>
  <div class="buyer">
    <span class="email">{{ customer.email }}</span>
    <span class="first_name">{{ customer.first_name }}</span>
    <span class="last_name">{{ customer.last_name }}</span>
  </div>
  <div class="purchased_items">
  {% for line_item in line_items %}
    <div class="line_item">
        <span class="product_id">{{ line_item.product_id }}</span>
        <span class="sku_id">{{ line_item.variant_id }}</span>
        <span class="quantity">{{ line_item.quantity }}</span>
        <span class="name">{{ line_item.title }}</span>
        <span class="unit_price">{{ line_item.price | money_without_currency }}</span>
        <span class="price_currency_code">{{ currency }}</span>
    </div>
  {% endfor %}
  </div>
</div>
```

> **Note:** Remember to replace the same account id in the conversion snippet with your own. Your account id always is `shopify-` followed by a sequence of numbers.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/shopify/features/outdated-asset-api-approach/implementing-enhanced-conversion-tracking.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
